User Tools

Site Tools


start

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
start [2014-07-08 20:34]
baggins kernel changes
start [2017-03-26 19:38] (current)
baggins
Line 1: Line 1:
-~~NOTOC~~ 
- 
 ====== PLD Linux Distribution ====== ====== PLD Linux Distribution ======
 PLD is a free, RPM-based Linux distribution,​ aimed at the more advanced users and administrators,​ who accept the tradeoffs of using a system, that might require manual tweaking in exchange for much flexibility. Simultaneous availability for a wide variety of architectures and non-conservative approach to RPM usage provides our users with a consistent environment on almost all available architectures. More details are available in the [[:​About|about]] section. ​ PLD is a free, RPM-based Linux distribution,​ aimed at the more advanced users and administrators,​ who accept the tradeoffs of using a system, that might require manual tweaking in exchange for much flexibility. Simultaneous availability for a wide variety of architectures and non-conservative approach to RPM usage provides our users with a consistent environment on almost all available architectures. More details are available in the [[:​About|about]] section. ​
- 
  
  
 ===== News ===== ===== News =====
 +
 +==== 26 March 2017: Kernel 3.18 removal ====
 +
 +It's time to update the set of kernels we have in Th.
 +
 +  * 3.18 is EOL upstream and will be removed from Th
 +  * 4.9 is new longterm line
 +
 +This means that the only kernel with Vserver support wiil be 4.1.
 +If you still rely on vserer it's time to look for a replacement.
 +
 +==== 29th January 2017: PLD Th 2016 snapshot released ====
 +
 +With a small delay, today we released 2016 snapshot of PLD/Linux Th. It is available on [[ftp://​ftp.pld-linux.org/​dists/​th/​2016/​PLD/​|ftp://​ftp.pld-linux.org/​dists/​th/​2016/​PLD/​]] and as poldek sources th-2016. Please give mirrors 24 hours to synchronize. ​
 +
 +The main highlights of this release are: 
 +
 +  * kernels 3.18.47, 4.1.38, 4.4.45 and 4.9.6
 +  * GCC 6.3.0
 +  * glibc 2.24
 +  * Python 2.7.13 and 3.6.0
 +  * PHP 5.2.17, 5.3.29, 5.4.45, 5.5.38, 5.6.30, 7.0.14 and 7.1.1
 +  * Perl 5.24.0
 +  * Ruby 2.1.10
 +  * libreoffice 5.1.3.2
 +  * GNOME 3.22
 +  * KDE5 Frameworks 5.24, Plasma 5.5.4
 +  * MATE Desktop Environment 1.16
 +
 +==== 12 December 2016: PHP 7.1 packages ====
 +
 +PHP 7.1.0 was released on 01 December 2016, so we well have **php71** packages in PLD Linux shortly.
 +
 +==== 24 April 2016: Kernel packages update ====
 +
 +Jan Rękorajski [[http://​lists.pld-linux.org/​mailman/​pipermail/​pld-devel-en/​2016-April/​024842.html|writes]]:​
 +With the addition of new longterm kernel (4.4) we would have six (6) package lines to keep up. Because of this I'm removing 3.10 and 3.14 from Th to keep the number maintainable. There will be no more releases for those lines and I will move existing packages to th-archive within a month.
 +
 +==== 6th December 2015: PLD Th 2015 snapshot released ====
 +
 +Today we released 2015 snapshot of PLD/Linux Th. It is available on [[ftp://​ftp.pld-linux.org/​dists/​th/​2015/​PLD/​|ftp://​ftp.pld-linux.org/​dists/​th/​2015/​PLD/​]] and as poldek sources th-2015. Please give mirrors 24 hours to synchronize. ​
 +
 +The main highlights of this release are: 
 +
 +  * kernels 3.10.93, 3.14.57 and 3.18.24, 4.1.13 and 4.2.6
 +  * GCC 5.2.0
 +  * glibc 2.22
 +  * Python 2.7.10 and 3.5.0
 +  * PHP 5.2.17, 5.3.29, 5.4.45, 5.5.30, 5.6.15 and 7.0.0
 +  * CUPS 2.1
 +  * libreoffice 5.0.2.1
 +  * GNOME 3.18
 +  * KDE 4.14
 +  * MATE Desktop Environment 1.12
 +
 +==== 25 September 2015: Kernel 3.4 removal ====
 +
 +Jan Rękorajski [[http://​lists.pld-linux.org/​mailman/​pipermail/​pld-devel-en/​2015-September/​024506.html|writes]]:​
 +The 3.4 longterm [[packages:​kernel|kernel]] line has reached the end of maintainablity and usability for us.
 +I will not update it, and I will remove it from Th-main soon.
 +Old packages will be available in th-archive.
 +
 +==== 21 February 2015: i486 architecture removal from PLD Th ====
 +
 +On 28 February 2015 i486 architecture will be removed from PLD Th main tree.
 +
 +This also means drop of support for i586 class CPUs and some old, rare, "​degraded"​ i686 chips lacking cmov instructions support.
 +
 +Growing number of packages that either do not build for i486 or are severly crippled (like IcedTea or programs requiring atomic operations) with loss of users of this architecture caused us to finally abandon it.
 +
 +i486 will be removed from main/​ready/​test trees, It will still be available in archived yearly snapshots.
 +==== 6th December 2014: PLD Th 2014 snapshot released ====
 +
 +Today we released snapshot of PLD/Linux Th under the name 2014. It is available on [[ftp://​ftp.pld-linux.org/​dists/​th/​2014/​PLD/​|ftp://​ftp.pld-linux.org/​dists/​th/​2014/​PLD/​]] and as poldek sources th-2014. Please give mirrors 24 hours to synchronize. ​
 +
 +The main highlights of this release are: 
 +
 +  * RPM 5.4.15
 +  * kernels 3.4.104, 3.10.61, 3.14.25 and 3.17.4
 +  * glibc 2.20
 +  * Perl 5.20.1
 +  * Ruby 2.0.0.598
 +  * PHP 5.2.17, 5.3.29, 5.4.35, 5.5.19 and 5.6.3
 +  * CUPS 2.0
 +  * libreoffice 4.3.4.1
 +  * GNOME 3.14
 +  * KDE 4.14
 +  * MATE Desktop Environment 1.8
 +
 +==== 21st October 2014: Github Push with your credentials ====
 +
 +You can use your credentials for github mirror sync. [[howto-git#​set_your_configuration|see how]].
 +
 +==== 11th September 2014: Ruby 2.0 in PLD Th ====
 +
 +http://​lists.pld-linux.org/​mailman/​pipermail/​pld-devel-en/​2014-September/​024021.html
  
 ==== 8th July 2014: Kernel packaging news for PLD Th ==== ==== 8th July 2014: Kernel packaging news for PLD Th ====
Line 35: Line 128:
 To do the upgrade, you should run ''​poldek -u php53-common''​ or ''​php55-common''​. To do the upgrade, you should run ''​poldek -u php53-common''​ or ''​php55-common''​.
  
-If you get wrong results (installing 5.5 but getting 5.3 packages), then add ''​%%--ignore ​'*php53*'%%'' ​and remove offending package that lacks dependencies.+If you get wrong results (installing 5.5 but getting 5.3 packages), then add ''​%%--ignore=*php53*%%'' ​to remove offending package that lacks dependencies.
 ==== 2nd January 2014: Updated kernel packages for 2013 snapshot and main PLD Th line ==== ==== 2nd January 2014: Updated kernel packages for 2013 snapshot and main PLD Th line ====
  
Line 125: Line 218:
  
 ==== 13th December 2011: PAE enabled on 32bit kernels. ==== ==== 13th December 2011: PAE enabled on 32bit kernels. ====
-Upcoming PLD kernels (>= 3.0.13-2) will have [[http://​en.wikipedia.org/​wiki/​Physical_Address_Extension|PAE]] enabled on 32bit i686 kernels by default. Such kernel will run only on processors that support PAE (grep pae /​proc/​cpuinfo to verify). If your CPU doesn'​t support PAE then you have to switch to PLD i486 kernel. ​+Upcoming PLD kernels (>= 3.0.13-2) will have [[wp>​Physical Address Extension|PAE]] enabled on 32bit i686 kernels by default. Such kernel will run only on processors that support PAE (grep pae /​proc/​cpuinfo to verify). If your CPU doesn'​t support PAE then you have to switch to PLD i486 kernel. ​
  
  
start.1404844441.txt.gz · Last modified: 2014-07-08 20:34 by baggins